
Infrastructure - Task #7366

Feature # 6498 (Closed): V2 Metacat MN and CN Support

Make sure MN.updateSystemMetadata and CN.updateSystemMetadata will NOT increase serial

version in the system metadata

2015-09-18 23:54 - Jing Tao

Status: Closed Start date: 2015-09-18

Priority: Normal Due date:  

Assignee: Jing Tao % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Milestone: None Story Points:  

Product Version: *   

Description

The serial version only reflects the change of the replica information in system metadata. It wouldn't change if users set a new

access rule.

So MN.updateSystemMetadata and CN.updateSystemMetadata will NOT increase serial version in the system metadata.

MN.create and MN.update will initialize the serial version to be 1 for the new objects.

History

#1 - 2015-09-18 23:55 - Jing Tao

- Assignee set to Jing Tao

#2 - 2015-09-23 22:46 - Jing Tao

- Status changed from New to In Progress

- % Done changed from 0 to 30

We will compare the serial versions in the updateSystemMetadata method.

#3 - 2015-09-25 00:40 - Jing Tao

- Status changed from In Progress to Closed

- % Done changed from 30 to 100

- translation missing: en.field_remaining_hours set to 0.0

MN.updateSystemMetadata and CN.updateSystemMetadata don't check the serial version any more. They don't increase the serial version either.
